Package org.opensaml.xacml.ctx.impl

# Class StatusCodeTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.StatusCodeTypeImpl

All Implemented Interfaces:
  `XMLObject`, `StatusCodeType`, `XACMLObject`

public class StatusCodeTypeImpl extends AbstractXACMLObject implements StatusCodeType
Concrete implementation of `StatusCodeType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCodeType`
`statusCode`
Sub status code.
`private String`
`value`
The attribute Value.

### Fields inherited from interface org.opensaml.xacml.ctx.StatusCodeType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SC_MISSING_ATTRIBUTE, SC_OK, SC_PROCESSING_ERROR, SC_SYNTAX_ERROR, TYPE_LOCAL_NAME, TYPE_NAME, VALUE_ATTTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusCodeTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCodeType`
`getStatusCode()`
Gets the status code.
`String`
`getValue()`
Gets the value of the attribute named value of the status element.
`void`
`setStatusCode(StatusCodeType code)`
Sets the status code.
`void`
`setValue(String newValue)`
Sets the attribute named value of the status elements.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### statusCode

private StatusCodeType statusCode
Sub status code.

### value

private String value
The attribute Value.

## Constructor Details

### StatusCodeTypeImpl

protected StatusCodeTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getStatusCode

public StatusCodeType getStatusCode()
Gets the status code.

Specified by:
  `getStatusCode` in interface `StatusCodeType`
Returns:
  status code

### getValue

public String getValue()
Gets the value of the attribute named value of the status element.

Specified by:
  `getValue` in interface `StatusCodeType`
Returns:
  The value of the attribute named value for the status element

### setStatusCode

public void setStatusCode(StatusCodeType code)
Sets the status code.

Specified by:
  `setStatusCode` in interface `StatusCodeType`
Parameters:
  `code` - status code

### setValue

public void setValue(String newValue)
Sets the attribute named value of the status elements.

Specified by:
  `setValue` in interface `StatusCodeType`
Parameters:
  `newValue` - The wanted value for the attribute value